Index: c/src/lib/libbsp/arm/ChangeLog
===================================================================
--- c/src/lib/libbsp/arm/ChangeLog	(revision 1c5ebc542167a74791cf5e82845e00b4f8ff6330)
+++ c/src/lib/libbsp/arm/ChangeLog	(revision 010e93365a1662e779a9910de42af212b9edd198)
@@ -1,2 +1,6 @@
+2009-04-28	Chris Johns <chrisj@rtems.org>
+
+	* shared/start/start.S: Update for boot_card command line change.
+
 2009-03-12	Joel Sherrill <joel.sherrill@OARcorp.com>
 
Index: c/src/lib/libbsp/arm/shared/start/start.S
===================================================================
--- c/src/lib/libbsp/arm/shared/start/start.S	(revision 1c5ebc542167a74791cf5e82845e00b4f8ff6330)
+++ c/src/lib/libbsp/arm/shared/start/start.S	(revision 010e93365a1662e779a9910de42af212b9edd198)
@@ -17,4 +17,9 @@
  */
 
+#warning Call to boot_card has changed and needs checking.
+#warning The call is "void boot_card(const char* cmdline);"
+#warning You need to pass a NULL.
+#warning Please check and remove these warnings.
+	
 #include <bsp/linker-symbols.h>
 #include <bsp/start.h>
Index: c/src/lib/libbsp/bfin/ChangeLog
===================================================================
--- c/src/lib/libbsp/bfin/ChangeLog	(revision 1c5ebc542167a74791cf5e82845e00b4f8ff6330)
+++ c/src/lib/libbsp/bfin/ChangeLog	(revision 010e93365a1662e779a9910de42af212b9edd198)
@@ -1,2 +1,6 @@
+2009-04-28	Chris Johns <chrisj@rtems.org>
+
+	* shared/start/start.S: Update for boot_card command line change.
+
 2008-09-25	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/bfin/shared/start/start.S
===================================================================
--- c/src/lib/libbsp/bfin/shared/start/start.S	(revision 1c5ebc542167a74791cf5e82845e00b4f8ff6330)
+++ c/src/lib/libbsp/bfin/shared/start/start.S	(revision 010e93365a1662e779a9910de42af212b9edd198)
@@ -4,4 +4,8 @@
 
 #include <bspopts.h>
+
+#warning Call to boot_card has changed and needs checking.
+#warning The call is "void boot_card(const char* cmdline);"
+#warning Please check and remove these warnings.
 
 #ifndef LO
Index: c/src/lib/libbsp/lm32/ChangeLog
===================================================================
--- c/src/lib/libbsp/lm32/ChangeLog	(revision 1c5ebc542167a74791cf5e82845e00b4f8ff6330)
+++ c/src/lib/libbsp/lm32/ChangeLog	(revision 010e93365a1662e779a9910de42af212b9edd198)
@@ -1,2 +1,6 @@
+2009-04-28	Chris Johns <chrisj@rtems.org>
+
+	* shared/start/start.S: Update for boot_card command line change.
+
 2009-04-06	Michael Walle <michael@walle.cc>
 
Index: c/src/lib/libbsp/lm32/shared/start/start.S
===================================================================
--- c/src/lib/libbsp/lm32/shared/start/start.S	(revision 1c5ebc542167a74791cf5e82845e00b4f8ff6330)
+++ c/src/lib/libbsp/lm32/shared/start/start.S	(revision 010e93365a1662e779a9910de42af212b9edd198)
@@ -14,4 +14,9 @@
  */
 
+#warning Call to boot_card has changed and needs checking.
+#warning The call is "void boot_card(const char* cmdline);"
+#warning You need to pass a NULL.
+#warning Please check and remove these warnings.
+	
 #include "bspopts.h"
 
@@ -144,6 +149,4 @@
 .end_clear_bss:
 	mvi	r1, 0
-	mvi	r2, 0
-	mvi	r3, 0
 	mvhi	r7, hi(boot_card)
 	ori	r7, r7, lo(boot_card)
Index: c/src/lib/libbsp/m68k/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/ChangeLog	(revision 1c5ebc542167a74791cf5e82845e00b4f8ff6330)
+++ c/src/lib/libbsp/m68k/ChangeLog	(revision 010e93365a1662e779a9910de42af212b9edd198)
@@ -1,2 +1,6 @@
+2009-04-28	Chris Johns <chrisj@rtems.org>
+
+	* shared/start/start.S: Update for boot_card command line change.
+
 2008-09-16	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/m68k/shared/start.S
===================================================================
--- c/src/lib/libbsp/m68k/shared/start.S	(revision 1c5ebc542167a74791cf5e82845e00b4f8ff6330)
+++ c/src/lib/libbsp/m68k/shared/start.S	(revision 010e93365a1662e779a9910de42af212b9edd198)
@@ -92,7 +92,5 @@
         movec   a0,isp                | set interrupt stack
 #endif
-        pea	env                   | push environp
-        pea	arg                   | push argv
-        movel   #0,a7@-               | push argc
+        movel   #0,a7@-               | push command line
 
         jsr     SYM (boot_card)
@@ -119,5 +117,5 @@
         .align 2
 SYM (environ):
-	.long	env
+	.long	0
 
 	PUBLIC (start_frame)
@@ -128,7 +126,4 @@
 
 BEGIN_BSS
-
-env: .long  0
-arg: .long  0
 
 	PUBLIC (initial_isp)
